package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysUserFuncEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 功能与角色映射表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-16 11:22:10
 */
public interface SysUserFuncService extends IService<SysUserFuncEntity> {

    PageUtils queryPage(Map<String, Object> params);

    int deleteBatch(Long[] userIds);

    void saveOrUpdate(Long userId, List<Long> menuIdList);

    List<Long> queryFuncIdList(Long userId);
}

